> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# List all patients

> Retrieves list of all patients



## OpenAPI

````yaml GET /patients
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /patients:
    get:
      description: Retrieves list of all patients
      parameters:
        - name: page
          in: query
          description: Page number of the list
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: limit
          in: query
          description: Number of records to return per page
          schema:
            type: integer
            default: 10
            maximum: 100
            minimum: 1
        - name: createdFrom
          in: query
          description: Start creation date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: createdTo
          in: query
          description: End creation date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: updatedFrom
          in: query
          description: Start updated date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: updatedTo
          in: query
          description: End updated date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: practiceId
          in: query
          description: ID of practice from which records need to be filtered
          schema:
            type: string
      responses:
        '200':
          description: List of all patients
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatientArray'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PatientArray:
      type: object
      properties:
        total:
          type: integer
          example: 12
          description: Total count of the matched records
        data:
          type: array
          description: Array of patient records
          items:
            type: object
          example:
            - firstName: Scooby
              lastName: Blu
              weight: 72
              dob: '2017-02-07'
              ownedDate: '2017-09-11'
              gender: Male
              species: Dog
              breedNature: Pure
              sireName: Loka
              damName: Honey
              otherOrigin: null
              color: Fawn
              microchip: '#979XX7FGF'
              description: ' He is  loyal and obedient, and he loves to be around people. He typically needs plenty of exercise and socialization, and  needs a large yard or space to run and play. He also require regular grooming and need a high-protein diet to maintain his health.'
              breed: Great Dane
              origin: Pet Shop
              coatType: Smooth
              coatLength: Short
              petName: Scooby Blu
              images:
                primary:
                  id: 3fc66452-6a66-4d46-9ed1-5c232fae5200
                  type: image
                default: default-dog.svg
              geoLocation:
                lon: -95.6587075
                lat: 29.6044443
              patientName: Scooby Blu
              location:
                streetAddress: 6814 Bannon Trail
                aptSuiteOther: null
                city: Sugar Land
                state: Texas
                zip: 77479
                country: USA
                neighborhood: null
                county: Fort Bend County
              type: patient
              id: f18f5cb8-df93-46b7-9fbf-0c06c1c73d05
            - firstName: David
              lastName: Brane
              weight: 6
              dob: '2021-03-04'
              ownedDate: null
              gender: Male
              species: Dog
              breedNature: Pure
              sireName: null
              damName: null
              description: null
              petName: David Brane
              images:
                default: default-dog.svg
              geoLocation:
                lat: 29.5973213
                lon: -95.6565995
              patientName: David Brane
              location:
                streetAddress: 723 Doscher Ln
                aptSuiteOther: null
                city: Sugar Land
                state: Texas
                zip: 77479
                country: USA
                neighborhood: Telfair
                county: Fort Bend County
                zipSuffix: '2750'
              type: patient
              id: de18da2f-3e3c-486b-8d67-aa86703f3649
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.